Bug 174783 - [PATCH] devel/arduino: Update to 1.0.3 (and other fixes)
Summary: [PATCH] devel/arduino: Update to 1.0.3 (and other fixes)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-28 20:10 UTC by leres
Modified: 2013-01-02 22:00 UTC (History)
0 users

See Also:


Attachments
patch.txt (75.72 KB, text/plain)
2012-12-28 20:10 UTC, leres
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-12-28 20:10:00 UTC
	Note: This PR obsoletes PR 170242 (which was submitted in
	July).

	Update to the arduino 1.0.3 release.

	avr-libc-1.8.0 "poisoned" SIG_USART1_RECV making the use
	of it in HardwareSerial.cpp incompatible with compiling
	with -Werror.

	Installation is done by installing all files from work and
	then going back and removing the ones we didn't want to
	install; this is somewhat suboptimal.

	portlint complains about whitespace in pkg-message.

Fix: Note: files/patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c
	is now obsolete and should be removed.

	Patch HardwareSerial.cpp to avoid touching SIG_USART1_RECV.
	Also fix SIG_USART2_RECV and SIG_USART3_RECV while we're
	at it.

	Rework do-install to use COPYTREE_SHARE to install files;
	use the optional "find expr" argument to avoid installing
	unwanted files.

	Remove leading and trailing newlines from pkg-message.in

	Add optional patches for ATmega644p support.

	Add USE_DOS2UNIX to make source code (and patches) more
	readable.
Comment 1 dfilter freebsd_committer 2013-01-02 21:56:18 UTC
Author: pawel
Date: Wed Jan  2 21:56:04 2013
New Revision: 309843
URL: http://svnweb.freebsd.org/changeset/ports/309843

Log:
  - Update to version 1.0.3
  - Add optional patches for ATmega644p support
  
  PR:		ports/174783
  Submitted by:	Craig Leres <leres@ee.lbl.gov> (maintainer)

Added:
  head/devel/arduino/files/extrapatch-hardware-arduino-boards.txt   (contents, props changed)
  head/devel/arduino/files/extrapatch-hardware-arduino-cores-arduino-WInterrupts.c   (contents, props changed)
  head/devel/arduino/files/extrapatch-hardware-arduino-variants-atmega644p-pins_arduino.h   (contents, props changed)
  head/devel/arduino/files/patch-hardware-arduino-cores-arduino-HardwareSerial.cpp   (contents, props changed)
Deleted:
  head/devel/arduino/files/patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c
Modified:
  head/devel/arduino/Makefile
  head/devel/arduino/distinfo
  head/devel/arduino/files/arduino.in
  head/devel/arduino/files/pkg-message.in
  head/devel/arduino/pkg-plist

Modified: head/devel/arduino/Makefile
==============================================================================
--- head/devel/arduino/Makefile	Wed Jan  2 21:53:22 2013	(r309842)
+++ head/devel/arduino/Makefile	Wed Jan  2 21:56:04 2013	(r309843)
@@ -2,12 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	arduino
-PORTVERSION=	1.0.1
-PORTREVISION=	1
+PORTVERSION=	1.0.3
 PORTEPOCH=	1
 CATEGORIES=	devel java lang
 MASTER_SITES=	GOOGLE_CODE
-DISTNAME=	${PORTNAME}-${PORTVERSION}-linux
+DISTNAME=	${PORTNAME}-${PORTVERSION}-linux32
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	leres@ee.lbl.gov
@@ -18,13 +17,15 @@ RUN_DEPENDS=	${JAVA_HOME}/jre/lib/ext/RX
 		${LOCALBASE}/avr/include/avr/io.h:${PORTSDIR}/devel/avr-libc
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+USE_DOS2UNIX=	yes
+DOS2UNIX_REGEX=	.*\(\.\(c|cpp|h|hex|html|ino|lst|txt\)|Makefile\)
 
 USE_JAVA=	1.6+
 NO_BUILD=	yes
 USE_LDCONFIG=	${PREFIX}/arduino/lib
 
 SUB_FILES=	arduino pkg-message
-SUB_LIST=	PORTNAME=${PORTNAME}
+SUB_LIST=	PORTNAME=${PORTNAME} LINUXBASE=${LINUXBASE}
 
 REINPLACE_ARGS=	-i ""
 
@@ -32,25 +33,52 @@ DESKTOP_ENTRIES=	"Arduino" "Arduino IDE"
 			${PREFIX}/${PORTNAME}/logo.png \
 			"arduino" "Development;IDE;" "false"
 
-OPTIONS_DEFINE+=	DOCS EXAMPLES
+OPTIONS_DEFINE=		ATMEGA644P DOCS EXAMPLES
+ATMEGA644P_DESC=	ATmega644p patches
 DOCS_DESC=	 	Install the reference documents
 
+INSLIST=	arduino hardware lib libraries logo.png revisions.txt tools
+
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MATMEGA644P}
+EXTRA_PATCHES+=	\
+	${FILESDIR}/extrapatch-hardware-arduino-boards.txt \
+	${FILESDIR}/extrapatch-hardware-arduino-cores-arduino-WInterrupts.c \
+	${FILESDIR}/extrapatch-hardware-arduino-variants-atmega644p-pins_arduino.h
+.endif
+
 .if empty(PORT_OPTIONS:MDOCS)
 PLIST_SUB+=	REFDOCS="@comment "
 .else
 PLIST_SUB+=	REFDOCS=""
+INSLIST+=	reference
 .endif
 
+FIND_EXCLUDES=	! -name *.orig
+
 .if empty(PORT_OPTIONS:MEXAMPLES)
 PLIST_SUB+=	EXAMPLES="@comment "
+FIND_EXCLUDES+=	! -path */examples ! -path */examples/*
 .else
 PLIST_SUB+=	EXAMPLES=""
+INSLIST+=	examples
+.endif
+
+FIND_EXPR=	"${FIND_EXCLUDES} -prune"
+
+.if ${PORT_OPTIONS:MATMEGA644P}
+PLIST_SUB+=	ATMEGA644P=""
+.else
+PLIST_SUB+=	ATMEGA644P="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MATMEGA644P}
+pre-patch:
+	@${MKDIR} ${WRKSRC}/hardware/arduino/variants/atmega644p
 .endif
 
 post-patch:
-	@${RM} ${WRKSRC}/hardware/arduino/bootloaders/atmega8/ATmegaBOOT.c.orig
 	@${RM} -rf ${WRKSRC}/hardware/tools/
 	@${MKDIR} ${WRKSRC}/hardware/tools/avr/
 	@${LN} -s ${PREFIX}/bin ${WRKSRC}/hardware/tools/avr/bin
@@ -62,17 +90,10 @@ post-patch:
 	@${MV} ${WRKSRC}/reference/img/logo.png ${WRKSRC}/
 	@${RM} -rf ${WRKSRC}/reference/img/
 
-.if empty(PORT_OPTIONS:MDOCS)
-	@${RM} -rf ${WRKSRC}/reference
-.endif
-.if empty(PORT_OPTIONS:MEXAMPLES)
-	@${RM} -rf ${WRKSRC}/examples
-	@${RM} -rf ${WRKSRC}/libraries/*/examples
-.endif
-
 do-install:
 	@${MKDIR} ${PREFIX}/${PORTNAME}
-	@${CP} -Rp ${WRKSRC}/* ${PREFIX}/${PORTNAME}
+	(cd ${WRKSRC}/ && ${COPYTREE_SHARE} "${INSLIST}" ${PREFIX}/${PORTNAME} ${FIND_EXPR})
+	@${CHMOD} +x ${PREFIX}/${PORTNAME}/arduino
 	@${INSTALL_SCRIPT} ${WRKDIR}/arduino ${PREFIX}/bin/
 
 post-install:

Modified: head/devel/arduino/distinfo
==============================================================================
--- head/devel/arduino/distinfo	Wed Jan  2 21:53:22 2013	(r309842)
+++ head/devel/arduino/distinfo	Wed Jan  2 21:56:04 2013	(r309843)
@@ -1,2 +1,2 @@
-SHA256 (arduino-1.0.1-linux.tgz) = b6ffc593b1b6504d480a9e762e83236111ba56dc150b51e897a0179b1067557f
-SIZE (arduino-1.0.1-linux.tgz) = 15715667
+SHA256 (arduino-1.0.3-linux32.tgz) = 5aef545e27ec73efc6bd8b81871b68fff7544393c7942fb1a857e7238498b6e2
+SIZE (arduino-1.0.3-linux32.tgz) = 20365328

Modified: head/devel/arduino/files/arduino.in
==============================================================================
--- head/devel/arduino/files/arduino.in	Wed Jan  2 21:53:22 2013	(r309842)
+++ head/devel/arduino/files/arduino.in	Wed Jan  2 21:56:04 2013	(r309843)
@@ -1,3 +1,8 @@
 #!/bin/sh
 # wrapper to execute the Arduino start script
-%%PREFIX%%/%%PORTNAME%%/arduino %%PREFIX%%/%%PORTNAME%%
+
+# Need the linux version of readlink
+PATH="%%LINUXBASE%%/usr/bin:${PATH}"
+export PATH
+
+exec %%PREFIX%%/%%PORTNAME%%/arduino %%PREFIX%%/%%PORTNAME%%

Added: head/devel/arduino/files/extrapatch-hardware-arduino-boards.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino/files/extrapatch-hardware-arduino-boards.txt	Wed Jan  2 21:56:04 2013	(r309843)
@@ -0,0 +1,42 @@
+--- hardware/arduino/boards.txt.orig	2012-12-10 04:03:52.000000000 -0800
++++ hardware/arduino/boards.txt	2012-12-26 21:02:48.000000000 -0800
+@@ -522,3 +522,39 @@
+ atmega8.build.f_cpu=16000000L
+ atmega8.build.core=arduino
+ atmega8.build.variant=standard
++
++##############################################################
++
++atmega644.name=ATmega644
++atmega644.upload.protocol=stk500
++atmega644.upload.maximum_size=63488
++atmega644.upload.speed=38400
++atmega644.bootloader.low_fuses=0xFF
++atmega644.bootloader.high_fuses=0xDC
++atmega644.bootloader.extended_fuses=0xFD
++atmega644.bootloader.path=atmega644p
++atmega644.bootloader.file=atmega644p
++atmega644.bootloader.unlock_bits=0x3F
++atmega644.bootloader.lock_bits=0x0F
++atmega644.build.mcu=atmega644
++atmega644.build.f_cpu=16000000L
++atmega644.build.core=atmega644
++atmega644.build.variant=atmega644p
++
++##############################################################
++
++atmega644p.name=ATmega644p
++atmega644p.upload.protocol=stk500
++atmega644p.upload.maximum_size=63488
++atmega644p.upload.speed=38400
++atmega644p.bootloader.low_fuses=0xFF
++atmega644p.bootloader.high_fuses=0xDC
++atmega644p.bootloader.extended_fuses=0xFD
++atmega644p.bootloader.path=atmega644p
++atmega644p.bootloader.file=atmega644p
++atmega644p.bootloader.unlock_bits=0x3F
++atmega644p.bootloader.lock_bits=0x0F
++atmega644p.build.mcu=atmega644p
++atmega644p.build.f_cpu=16000000L
++atmega644p.build.core=atmega644
++atmega644p.build.variant=atmega644p

Added: head/devel/arduino/files/extrapatch-hardware-arduino-cores-arduino-WInterrupts.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino/files/extrapatch-hardware-arduino-cores-arduino-WInterrupts.c	Wed Jan  2 21:56:04 2013	(r309843)
@@ -0,0 +1,24 @@
+--- hardware/arduino/cores/arduino/WInterrupts.c.orig	2012-12-28 10:24:03.000000000 -0800
++++ hardware/arduino/cores/arduino/WInterrupts.c	2012-12-28 10:24:49.000000000 -0800
+@@ -216,6 +216,21 @@
+       #warning detachInterrupt may need some more work for this cpu (case 1)
+     #endif
+       break;
++
++#if defined(INT2)
++    case 2:
++    #if defined(EIMSK)
++      EIMSK &= ~(1 << INT2);
++    #elif defined(GICR)
++      GICR &= ~(1 << INT2);
++    #elif defined(GIMSK)
++      GIMSK &= ~(1 << INT2);
++    #else
++      #warning detachInterrupt may need some more work for this cpu (case 2)
++    #endif
++      break;
++#endif
++
+ #endif
+     }
+       

Added: head/devel/arduino/files/extrapatch-hardware-arduino-variants-atmega644p-pins_arduino.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino/files/extrapatch-hardware-arduino-variants-atmega644p-pins_arduino.h	Wed Jan  2 21:56:04 2013	(r309843)
@@ -0,0 +1,227 @@
+--- /dev/null	2012-12-26 20:59:44.000000000 -0800
++++ hardware/arduino/variants/atmega644p/pins_arduino.h	2012-12-26 21:12:00.000000000 -0800
+@@ -0,0 +1,224 @@
++/*
++  pins_arduino.h - Pin definition functions for Arduino
++  Part of Arduino - http://www.arduino.cc/
++
++  Copyright (c) 2007 David A. Mellis
++
++  This library is free software; you can redistribute it and/or
++  modify it under the terms of the GNU Lesser General Public
++  License as published by the Free Software Foundation; either
++  version 2.1 of the License, or (at your option) any later version.
++
++  This library is distributed in the hope that it will be useful,
++  but WITHOUT ANY WARRANTY; without even the implied warranty of
++  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++  Lesser General Public License for more details.
++
++  You should have received a copy of the GNU Lesser General
++  Public License along with this library; if not, write to the
++  Free Software Foundation, Inc., 59 Temple Place, Suite 330,
++  Boston, MA  02111-1307  USA
++
++  $Id: pins_arduino.h 5 2012-07-30 03:39:31Z leres $
++*/
++
++#ifndef Pins_Arduino_h
++#define Pins_Arduino_h
++
++#include <avr/pgmspace.h>
++
++#define NUM_DIGITAL_PINS            32
++#define NUM_ANALOG_INPUTS           8
++#define analogInputToDigitalPin(p)  ((p < 8) ? ((p) - 7) + 24 : -1)
++#define digitalPinHasPWM(p) \
++    ((p) == 4 || (p) == 5 || (p) == 12 || (p) == 13 || (p) == 14 || (p) == 15)
++
++static const uint8_t SS   = 4;
++static const uint8_t MOSI = 5;
++static const uint8_t MISO = 6;
++static const uint8_t SCK  = 7;
++static const uint8_t SCL  = 16;
++static const uint8_t SDA  = 17;
++
++static const uint8_t A0 = 14;
++static const uint8_t A1 = 15;
++static const uint8_t A2 = 16;
++static const uint8_t A3 = 17;
++static const uint8_t A4 = 18;
++static const uint8_t A5 = 19;
++static const uint8_t A6 = 20;
++static const uint8_t A7 = 21;
++
++#ifdef notdef
++/* XXX not yet */
++#define digitalPinToPCICR(p)    (((p) >= 0 && (p) <= 21) ? (&PCICR) : ((uint8_t *)0))
++#define digitalPinToPCICRbit(p) (((p) <= 7) ? 2 : (((p) <= 13) ? 0 : 1))
++#define digitalPinToPCMSK(p)    (((p) <= 7) ? (&PCMSK2) : (((p) <= 13) ? (&PCMSK0) : (((p) <= 21) ? (&PCMSK1) : ((uint8_t *)0))))
++#define digitalPinToPCMSKbit(p) (((p) <= 7) ? (p) : (((p) <= 13) ? ((p) - 8) : ((p) - 14)))
++#endif
++
++#ifdef ARDUINO_MAIN
++
++// Digital pins are also used for the analog output (software PWM).
++// Analog input pins are a separate set.
++
++// ATMEL ATMEGA644P
++//
++//                  +---\/---+
++//     (D 0)  PB0  1|        |40  PA0 (AI 0)
++//     (D 1)  PB1  2|        |39  PA1 (AI 1)
++//     (D 2)  PB2  3|        |38  PA2 (AI 2)
++//     (D 3)  PB3  4|        |37  PA3 (AI 3)
++// PWM (D 4)  PB4  5|        |36  PA4 (AI 4)
++// PWM (D 5)  PB5  6|        |35  PA5 (AI 5)
++//     (D 6)  PB6  7|        |34  PA6 (AI 6)
++//            PB7  8|        |33  PA7 (AI 7)
++//          RESET  9|        |32  AREF
++//            VCC 10|        |31  GND
++//            GND 11|        |30  AVCC
++//          XTAL2 12|        |29  PC7 (D 23)
++//          XTAL1 13|        |28  PC6 (D 22)
++//     (D 8)  PD0 14|        |27  PC5 (D 21)
++//     (D 9)  PD1 15|        |26  PC4 (D 20)
++//     (D 10) PD2 16|        |25  PC3 (D 19)
++//     (D 11) PD3 17|        |24  PC2 (D 18)
++// PWM (D 12) PD4 18|        |23  PC1 (D 17)
++// PWM (D 13) PD5 19|        |22  PC0 (D 16)
++// PWM (D 14) PD6 20|        |21  PD7 (D 15) PWM
++//                  +--------+
++
++// these arrays map port names (e.g. port B) to the
++// appropriate addresses for various functions (e.g. reading
++// and writing)
++const uint16_t PROGMEM port_to_mode_PGM[] = {
++	NOT_A_PORT,
++	(uint16_t) &DDRA,
++	(uint16_t) &DDRB,
++	(uint16_t) &DDRC,
++	(uint16_t) &DDRD,
++};
++
++const uint16_t PROGMEM port_to_output_PGM[] = {
++	NOT_A_PORT,
++	(uint16_t) &PORTA,
++	(uint16_t) &PORTB,
++	(uint16_t) &PORTC,
++	(uint16_t) &PORTD,
++};
++
++const uint16_t PROGMEM port_to_input_PGM[] = {
++	NOT_A_PORT,
++	(uint16_t) &PINA,
++	(uint16_t) &PINB,
++	(uint16_t) &PINC,
++	(uint16_t) &PIND,
++};
++
++const uint8_t PROGMEM digital_pin_to_port_PGM[] = {
++	PB, /* 0 */
++	PB,
++	PB,
++	PB,
++	PB,
++	PB,
++	PB,
++	PB,
++	PD, /* 8 */
++	PD,
++	PD,
++	PD,
++	PD,
++	PD,
++	PD,
++	PD,
++	PC, /* 16 */
++	PC,
++	PC,
++	PC,
++	PC,
++	PC,
++	PC,
++	PC,
++	PA, /* 24 */
++	PA,
++	PA,
++	PA,
++	PA,
++	PA,
++	PA,
++	PA  /* 31 */
++};
++
++const uint8_t PROGMEM digital_pin_to_bit_mask_PGM[] = {
++	_BV(0), /* 0, port B */
++	_BV(1),
++	_BV(2),
++	_BV(3),
++	_BV(4),
++	_BV(5),
++	_BV(6),
++	_BV(7),
++	_BV(0), /* 8, port D */
++	_BV(1),
++	_BV(2),
++	_BV(3),
++	_BV(4),
++	_BV(5),
++	_BV(6),
++	_BV(7),
++	_BV(0), /* 16, port C */
++	_BV(1),
++	_BV(2),
++	_BV(3),
++	_BV(4),
++	_BV(5),
++	_BV(6),
++	_BV(7),
++	_BV(7), /* 24, port A */
++	_BV(6),
++	_BV(5),
++	_BV(4),
++	_BV(3),
++	_BV(2),
++	_BV(1),
++	_BV(0)
++};
++
++const uint8_t PROGMEM digital_pin_to_timer_PGM[] = {
++	NOT_ON_TIMER,	/* 0  - PB0 */
++	NOT_ON_TIMER,	/* 1  - PB1 */
++	NOT_ON_TIMER,	/* 2  - PB2 */
++	TIMER0A,	/* 3  - PB3 */
++	TIMER0B,	/* 4  - PB4 */
++	NOT_ON_TIMER,	/* 5  - PB5 */
++	NOT_ON_TIMER,	/* 6  - PB6 */
++	NOT_ON_TIMER,	/* 7  - PB7 */
++	NOT_ON_TIMER,	/* 8  - PD0 */
++	NOT_ON_TIMER,	/* 9  - PD1 */
++	NOT_ON_TIMER,	/* 10 - PD2 */
++	NOT_ON_TIMER,	/* 11 - PD3 */
++	TIMER1B,	/* 12 - PD4 */
++	TIMER1A,	/* 13 - PD5 */
++	TIMER2B,	/* 14 - PD6 */
++	TIMER2A,	/* 15 - PD7 */
++	NOT_ON_TIMER,	/* 16 - PC0 */
++	NOT_ON_TIMER,	/* 17 - PC1 */
++	NOT_ON_TIMER,	/* 18 - PC2 */
++	NOT_ON_TIMER,	/* 19 - PC3 */
++	NOT_ON_TIMER,	/* 20 - PC4 */
++	NOT_ON_TIMER,	/* 21 - PC5 */
++	NOT_ON_TIMER,	/* 22 - PC6 */
++	NOT_ON_TIMER,	/* 23 - PC7 */
++	NOT_ON_TIMER,	/* 24 - PA0 */
++	NOT_ON_TIMER,	/* 25 - PA1 */
++	NOT_ON_TIMER,	/* 26 - PA2 */
++	NOT_ON_TIMER,	/* 27 - PA3 */
++	NOT_ON_TIMER,	/* 28 - PA4 */
++	NOT_ON_TIMER,	/* 29 - PA5 */
++	NOT_ON_TIMER,	/* 30 - PA6 */
++	NOT_ON_TIMER	/* 31 - PA7 */
++};
++
++#endif
++
++#endif

Added: head/devel/arduino/files/patch-hardware-arduino-cores-arduino-HardwareSerial.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/arduino/files/patch-hardware-arduino-cores-arduino-HardwareSerial.cpp	Wed Jan  2 21:56:04 2013	(r309843)
@@ -0,0 +1,29 @@
+--- hardware/arduino/cores/arduino/HardwareSerial.cpp.orig	2012-07-28 21:20:49.000000000 -0700
++++ hardware/arduino/cores/arduino/HardwareSerial.cpp	2012-07-28 21:24:52.000000000 -0700
+@@ -129,8 +129,6 @@
+     unsigned char c = UDR1;
+     store_char(c, &rx_buffer1);
+   }
+-#elif defined(SIG_USART1_RECV)
+-  #error SIG_USART1_RECV
+ #endif
+ 
+ #if defined(USART2_RX_vect) && defined(UDR2)
+@@ -142,8 +140,6 @@
+     unsigned char c = UDR2;
+     store_char(c, &rx_buffer2);
+   }
+-#elif defined(SIG_USART2_RECV)
+-  #error SIG_USART2_RECV
+ #endif
+ 
+ #if defined(USART3_RX_vect) && defined(UDR3)
+@@ -155,8 +151,6 @@
+     unsigned char c = UDR3;
+     store_char(c, &rx_buffer3);
+   }
+-#elif defined(SIG_USART3_RECV)
+-  #error SIG_USART3_RECV
+ #endif
+ 
+ void serialEventRun(void)

Modified: head/devel/arduino/files/pkg-message.in
==============================================================================
--- head/devel/arduino/files/pkg-message.in	Wed Jan  2 21:53:22 2013	(r309842)
+++ head/devel/arduino/files/pkg-message.in	Wed Jan  2 21:56:04 2013	(r309843)
@@ -1,4 +1,3 @@
-
 Notes on using the Arduino IDE:
 
 To allow serial port locking, add your user to the dialer group:
@@ -17,4 +16,3 @@ visible if you started the IDE from a co
 
 To start the IDE:
     %%PREFIX%%/bin/arduino
-

Modified: head/devel/arduino/pkg-plist
==============================================================================
--- head/devel/arduino/pkg-plist	Wed Jan  2 21:53:22 2013	(r309842)
+++ head/devel/arduino/pkg-plist	Wed Jan  2 21:56:04 2013	(r309843)
@@ -63,14 +63,29 @@ arduino/arduino
 %%EXAMPLES%%arduino/examples/08.Strings/StringSubstring/StringSubstring.ino
 %%EXAMPLES%%arduino/examples/08.Strings/StringToInt/StringToInt.ino
 %%EXAMPLES%%arduino/examples/08.Strings/StringToIntRGB/StringToIntRGB.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Keyboard/KeyboardLogout/KeyboardLogout.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Keyboard/KeyboardMessage/KeyboardMessage.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Keyboard/KeyboardReprogram/KeyboardReprogram.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Keyboard/KeyboardSerial/KeyboardSerial.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/KeyboardAndMouseControl/KeyboardAndMouseControl.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Mouse/ButtonMouseControl/ButtonMouseControl.ino
-%%EXAMPLES%%arduino/examples/09.USB(Leonardo)/Mouse/JoystickMouseControl/JoystickMouseControl.ino
+%%EXAMPLES%%arduino/examples/09.USB/Keyboard/KeyboardLogout/KeyboardLogout.ino
+%%EXAMPLES%%arduino/examples/09.USB/Keyboard/KeyboardMessage/KeyboardMessage.ino
+%%EXAMPLES%%arduino/examples/09.USB/Keyboard/KeyboardReprogram/KeyboardReprogram.ino
+%%EXAMPLES%%arduino/examples/09.USB/Keyboard/KeyboardSerial/KeyboardSerial.ino
+%%EXAMPLES%%arduino/examples/09.USB/KeyboardAndMouseControl/KeyboardAndMouseControl.ino
+%%EXAMPLES%%arduino/examples/09.USB/Mouse/ButtonMouseControl/ButtonMouseControl.ino
+%%EXAMPLES%%arduino/examples/09.USB/Mouse/JoystickMouseControl/JoystickMouseControl.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p02_SpaceshipInterface/p02_SpaceshipInterface.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p03_LoveOMeter/p03_LoveOMeter.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p04_ColorMixingLamp/p04_ColorMixingLamp.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p05_ServoMoodIndicator/p05_ServoMoodIndicator.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p06_LightTheremin/p06_LightTheremin.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p07_Keyboard/p07_Keyboard.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p08_DigitalHourglass/p08_DigitalHourglass.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p09_MotorizedPinwheel/p09_MotorizedPinwheel.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p10_Zoetrope/p10_Zoetrope.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p11_CrystalBall/p11_CrystalBall.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p12_KnockLock/p12_KnockLock.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p13_TouchSensorLamp/p13_TouchSensorLamp.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p14_TweakTheArduinoLogo/p14_TweakTheArduinoLogo.ino
+%%EXAMPLES%%arduino/examples/10.StarterKit/p15_HackingButtons/p15_HackingButtons.ino
 %%EXAMPLES%%arduino/examples/ArduinoISP/ArduinoISP.ino
+%%EXAMPLES%%@dirrm arduino/examples/ArduinoISP
 arduino/hardware/arduino/boards.txt
 arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168.c
 arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega1280.hex
@@ -80,19 +95,43 @@ arduino/hardware/arduino/bootloaders/atm
 arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_ng.hex
 arduino/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_pro_8MHz.hex
 arduino/hardware/arduino/bootloaders/atmega/Makefile
+arduino/hardware/arduino/bootloaders/atmega8/ATmegaBOOT-prod-firmware-2009-11-07.hex
 arduino/hardware/arduino/bootloaders/atmega8/ATmegaBOOT.c
 arduino/hardware/arduino/bootloaders/atmega8/ATmegaBOOT.hex
+arduino/hardware/arduino/bootloaders/atmega8/ATmegaBOOT.txt
 arduino/hardware/arduino/bootloaders/atmega8/Makefile
 arduino/hardware/arduino/bootloaders/bt/ATmegaBOOT_168.c
 arduino/hardware/arduino/bootloaders/bt/ATmegaBOOT_168.hex
 arduino/hardware/arduino/bootloaders/bt/ATmegaBOOT_168_atmega328_bt.hex
 arduino/hardware/arduino/bootloaders/bt/Makefile
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Caterina-LilyPadUSB.hex
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Caterina.c
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Caterina.h
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Descriptors.c
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Descriptors.h
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Makefile
+arduino/hardware/arduino/bootloaders/caterina-LilyPadUSB/Readme.txt
+arduino/hardware/arduino/bootloaders/caterina/Caterina-Esplora.hex
+arduino/hardware/arduino/bootloaders/caterina/Caterina-Esplora.txt
 arduino/hardware/arduino/bootloaders/caterina/Caterina-Leonardo.hex
+arduino/hardware/arduino/bootloaders/caterina/Caterina-Leonardo.txt
+arduino/hardware/arduino/bootloaders/caterina/Caterina-Micro.hex
+arduino/hardware/arduino/bootloaders/caterina/Caterina-Micro.txt
 arduino/hardware/arduino/bootloaders/caterina/Caterina.c
 arduino/hardware/arduino/bootloaders/caterina/Caterina.h
 arduino/hardware/arduino/bootloaders/caterina/Descriptors.c
 arduino/hardware/arduino/bootloaders/caterina/Descriptors.h
+arduino/hardware/arduino/bootloaders/caterina/Esplora-prod-firmware-2012-12-10.hex
+arduino/hardware/arduino/bootloaders/caterina/Esplora-prod-firmware-2012-12-10.txt
+arduino/hardware/arduino/bootloaders/caterina/Leonardo-prod-firmware-2012-04-26.hex
+arduino/hardware/arduino/bootloaders/caterina/Leonardo-prod-firmware-2012-04-26.txt
+arduino/hardware/arduino/bootloaders/caterina/Leonardo-prod-firmware-2012-12-10.hex
+arduino/hardware/arduino/bootloaders/caterina/Leonardo-prod-firmware-2012-12-10.txt
 arduino/hardware/arduino/bootloaders/caterina/Makefile
+arduino/hardware/arduino/bootloaders/caterina/Micro-prod-firmware-2012-11-23.hex
+arduino/hardware/arduino/bootloaders/caterina/Micro-prod-firmware-2012-11-23.txt
+arduino/hardware/arduino/bootloaders/caterina/Micro-prod-firmware-2012-12-10.hex
+arduino/hardware/arduino/bootloaders/caterina/Micro-prod-firmware-2012-12-10.txt
 arduino/hardware/arduino/bootloaders/lilypad/LilyPadBOOT_168.hex
 arduino/hardware/arduino/bootloaders/lilypad/src/ATmegaBOOT.c
 arduino/hardware/arduino/bootloaders/lilypad/src/Makefile
@@ -157,36 +196,308 @@ arduino/hardware/arduino/cores/arduino/w
 arduino/hardware/arduino/cores/arduino/wiring_private.h
 arduino/hardware/arduino/cores/arduino/wiring_pulse.c
 arduino/hardware/arduino/cores/arduino/wiring_shift.c
-arduino/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-Mega2560-Rev3.hex
-arduino/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-MegaADK-Rev3.hex
-arduino/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-Uno-Rev3.hex
-arduino/hardware/arduino/firmwares/MEGA-dfu_and_usbserial_combined.hex
-arduino/hardware/arduino/firmwares/README.txt
-arduino/hardware/arduino/firmwares/UNO-dfu_and_usbserial_combined.hex
-arduino/hardware/arduino/firmwares/arduino-usbdfu/Arduino-usbdfu.c
-arduino/hardware/arduino/firmwares/arduino-usbdfu/Arduino-usbdfu.h
-arduino/hardware/arduino/firmwares/arduino-usbdfu/Board/LEDs.h
-arduino/hardware/arduino/firmwares/arduino-usbdfu/Descriptors.c
-arduino/hardware/arduino/firmwares/arduino-usbdfu/Descriptors.h
-arduino/hardware/arduino/firmwares/arduino-usbdfu/makefile
-arduino/hardware/arduino/firmwares/arduino-usbdfu/readme.txt
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-Mega2560-Rev3.hex
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-MegaADK-Rev3.hex
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-Uno-Rev3.hex
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-mega.hex
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-uno.hex
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial.c
-arduino/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial.h
-arduino/hardware/arduino/firmwares/arduino-usbserial/Board/LEDs.h
-arduino/hardware/arduino/firmwares/arduino-usbserial/Descriptors.c
-arduino/hardware/arduino/firmwares/arduino-usbserial/Descriptors.h
-arduino/hardware/arduino/firmwares/arduino-usbserial/Lib/LightweightRingBuff.h
-arduino/hardware/arduino/firmwares/arduino-usbserial/makefile
-arduino/hardware/arduino/firmwares/arduino-usbserial/readme.txt
+arduino/hardware/arduino/firmwares/atmegaxxu2/Arduino-COMBINED-dfu-usbserial-atmega16u2-Mega2560-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/Arduino-COMBINED-dfu-usbserial-atmega16u2-MegaADK-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/Arduino-COMBINED-dfu-usbserial-atmega16u2-Uno-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/MEGA-dfu_and_usbserial_combined.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/README.txt
+arduino/hardware/arduino/firmwares/atmegaxxu2/UNO-dfu_and_usbserial_combined.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/Arduino-usbdfu.c
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/Arduino-usbdfu.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/Board/LEDs.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/Descriptors.c
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/Descriptors.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/makefile
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbdfu/readme.txt
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial-atmega16u2-Mega2560-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial-atmega16u2-MegaADK-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial-atmega16u2-Uno-Rev3.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial-mega.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial-uno.hex
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial.c
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Arduino-usbserial.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Board/LEDs.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Descriptors.c
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Descriptors.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/Lib/LightweightRingBuff.h
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/makefile
+arduino/hardware/arduino/firmwares/atmegaxxu2/arduino-usbserial/readme.txt
+arduino/hardware/arduino/firmwares/wifishield/binary/wifiHD.elf
+arduino/hardware/arduino/firmwares/wifishield/binary/wifiHD.hex
+arduino/hardware/arduino/firmwares/wifishield/binary/wifiHD_2_1.elf
+arduino/hardware/arduino/firmwares/wifishield/binary/wifi_dnld.elf
+arduino/hardware/arduino/firmwares/wifishield/binary/wifi_dnld.hex
+arduino/hardware/arduino/firmwares/wifishield/binary/wifi_dnld_2_1.elf
+arduino/hardware/arduino/firmwares/wifishield/scripts/ArduinoWifiShield_upgrade.sh
+arduino/hardware/arduino/firmwares/wifishield/scripts/ArduinoWifiShield_upgrade_mac.sh
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/.cproject
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/.project
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/Release/wifiHD.elf
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/CONFIG/conf_access.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/CONFIG/conf_at45dbx.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/CONFIG/conf_ebi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/CONFIG/conf_sd_mmc_spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/ASM/trampoline.x
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/arduino.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/led.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/led.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/evk1105.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/led.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/led.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/board.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/BOARDS/board.h.my
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx_mem.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx_mem.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR1/GCC/lib_ucr1_hd_sdio_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR1/GCC/lib_ucr1_hd_spi_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR1/GCC/lib_ucr1_hd_wl_sta_intwpa_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR2/GCC/lib_ucr2_hd_sdio_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR2/GCC/lib_ucr2_hd_spi_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/UCR2/GCC/lib_ucr2_hd_wl_sta_intwpa_v2.7.0.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/v2.7.0/revision.txt
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wl_api.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wl_fw.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wl_os.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wl_sdio.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wl_spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/COMPONENTS/WIFI/HD/wlap_api.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/CPU/CYCLE_COUNTER/cycle_counter.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/EBI/SMC/smc.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/EBI/SMC/smc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/EIC/eic.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/EIC/eic.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/FLASHC/flashc.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/FLASHC/flashc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/GPIO/gpio.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/GPIO/gpio.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/exception.x
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/intc.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/intc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PDCA/pdca.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PDCA/pdca.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm_conf_clocks.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/power_clocks_lib.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/power_clocks_lib.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/RTC/rtc.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/RTC/rtc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/SPI/spi.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/SPI/spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/TC/tc.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/TC/tc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/USART/usart.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/DRIVERS/USART/usart.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/DELAY/delay.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/DELAY/delay.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/dhcp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/dns.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/init.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/autoip.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/icmp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/igmp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/inet.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/inet_chksum.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/ip.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/ip_addr.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/ipv4/ip_frag.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/mem.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/memp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/netif.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/pbuf.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/raw.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/stats.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/tcp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/tcp_in.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/tcp_out.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/core/udp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/autoip.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/icmp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/igmp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/inet.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/inet_chksum.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/ip.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/ip_addr.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/ipv4/lwip/ip_frag.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/api.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/api_msg.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/arch.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/debug.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/def.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/dhcp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/dns.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/err.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/init.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/mem.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/memp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/memp_std.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/netbuf.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/netdb.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/netif.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/netifapi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/opt.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/pbuf.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/raw.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/sio.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/snmp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/snmp_asn1.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/snmp_msg.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/snmp_structs.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/sockets.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/stats.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/sys.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/tcp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/tcpip.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/lwip/udp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/netif/etharp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/netif/loopif.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/netif/ppp_oe.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/include/netif/slipif.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/netif/etharp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-1.3.2/src/netif/loopif.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/if/include/arch/cc.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/if/include/arch/perf.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/if/include/lwipopts.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/if/include/netif/wlif.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/if/netif/wlif.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/LWIP/lwip-port-1.3.2/HD/readme.txt
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/MEMORY/CTRL_ACCESS/ctrl_access.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/SERVICES/MEMORY/CTRL_ACCESS/ctrl_access.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/debug.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/debug.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/print_funcs.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/print_funcs.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_cpu.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_exceptions.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_interrupts.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_io.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_usart.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/libnewlib_addons-at32ucr2-speed_opt.a
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LINKER_SCRIPTS/AT32UC3A/0512/GCC/link_uc3a0512.lds
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/LINKER_SCRIPTS/AT32UC3A/1256/GCC/link_uc3a1256.lds
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/mrepeat.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/preprocessor.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/stringz.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/tpaste.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/STARTUP_FILES/GCC/crt0.x
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/compiler.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/conf_isp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/SOFTWARE_FRAMEWORK/UTILS/parts.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_spi.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_tcp.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_tcp.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_utils.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ard_utils.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/avr32_spi.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/board_init.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/board_init.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/cmd_wl.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/cmd_wl.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/console.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/console.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/debug.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/fw_download.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/fw_download_extflash.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/license.txt
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/lwip_setup.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/lwip_setup.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/lwipopts.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/main.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/nvram.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/nvram.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/owl_os.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ping.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/ping.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/printf-stdarg.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/printf-stdarg.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/timer.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/timer.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/top_defs.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/trace.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/util.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/util.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/wifi_spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/wl_cm.c
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/wl_cm.h
+arduino/hardware/arduino/firmwares/wifishield/wifiHD/src/wl_definitions.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/.cproject
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/.project
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/Release/wifi_dnld.elf
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/CONFIG/conf_access.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/CONFIG/conf_at45dbx.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/Doc/SPB104 product brief.pdf
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/Doc/gettingstarted.pdf
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/ASM/trampoline.x
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/arduino.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/led.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/ARDUINO/led.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/evk1105.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/led.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/EVK1105/led.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/board.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/BOARDS/board.h.ori
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx_mem.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/COMPONENTS/MEMORY/DATA_FLASH/AT45DBX/at45dbx_mem.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/FLASHC/flashc.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/FLASHC/flashc.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/GPIO/gpio.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/GPIO/gpio.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/exception.x
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/intc.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/INTC/intc.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/pm_conf_clocks.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/power_clocks_lib.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/PM/power_clocks_lib.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/SPI/spi.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/SPI/spi.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/USART/usart.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/DRIVERS/USART/usart.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/SERVICES/MEMORY/CTRL_ACCESS/ctrl_access.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/SERVICES/MEMORY/CTRL_ACCESS/ctrl_access.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/debug.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/debug.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/print_funcs.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/DEBUG/print_funcs.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_cpu.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_exceptions.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_interrupts.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_io.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/INCLUDE/nlao_usart.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LIBS/NEWLIB_ADDONS/libnewlib_addons-at32ucr2-speed_opt.a
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LINKER_SCRIPTS/AT32UC3A/0512/GCC/link_uc3a0512.lds
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/LINKER_SCRIPTS/AT32UC3A/1256/GCC/link_uc3a1256.lds
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/mrepeat.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/preprocessor.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/stringz.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/PREPROCESSOR/tpaste.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/STARTUP_FILES/GCC/crt0.x
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/compiler.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/conf_isp.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/SOFTWARE_FRAMEWORK/UTILS/parts.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/clocks.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/clocks.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/flash_fw.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/license.txt
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/nor_flash.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/nor_flash.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/printf-stdarg.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/printf-stdarg.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/startup.c
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/startup.h
+arduino/hardware/arduino/firmwares/wifishield/wifi_dnld/src/wl_fw.h
 arduino/hardware/arduino/programmers.txt
+%%ATMEGA644P%%arduino/hardware/arduino/variants/atmega644p/pins_arduino.h
 arduino/hardware/arduino/variants/eightanaloginputs/pins_arduino.h
 arduino/hardware/arduino/variants/leonardo/pins_arduino.h
 arduino/hardware/arduino/variants/mega/pins_arduino.h
+arduino/hardware/arduino/variants/micro/pins_arduino.h
 arduino/hardware/arduino/variants/standard/pins_arduino.h
 arduino/hardware/tools/avr/bin
 arduino/hardware/tools/avr/etc
@@ -214,6 +525,47 @@ arduino/lib/theme/theme.txt
 arduino/lib/version.txt
 arduino/libraries/EEPROM/EEPROM.cpp
 arduino/libraries/EEPROM/EEPROM.h
+arduino/libraries/Esplora/Esplora.cpp
+arduino/libraries/Esplora/Esplora.h
+arduino/libraries/Esplora/keywords.txt
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraKart/EsploraKart.ino
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraLedShow/EsploraLedShow.ino
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraLedShow2/EsploraLedShow2.ino
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraMusic/EsploraMusic.ino
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraRemote/EsploraRemote.ino
+%%EXAMPLES%%arduino/libraries/Esplora/examples/EsploraTable/EsploraTable.ino
+arduino/libraries/WiFi/WiFi.cpp
+arduino/libraries/WiFi/WiFi.h
+arduino/libraries/WiFi/WiFiClient.cpp
+arduino/libraries/WiFi/WiFiClient.h
+arduino/libraries/WiFi/WiFiServer.cpp
+arduino/libraries/WiFi/WiFiServer.h
+%%EXAMPLES%%arduino/libraries/WiFi/examples/ConnectNoEncryption/ConnectNoEncryption.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/ConnectWithWEP/ConnectWithWEP.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/ConnectWithWPA/ConnectWithWPA.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/ScanNetworks/ScanNetworks.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/SimpleWebServerWiFi/SimpleWebServerWiFi.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiChatServer/WifiChatServer.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiPachubeClient/WifiPachubeClient.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiPachubeClientString/WifiPachubeClientString.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiTwitterClient/WifiTwitterClient.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiWebClient/WifiWebClient.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiWebClientRepeating/WifiWebClientRepeating.ino
+%%EXAMPLES%%arduino/libraries/WiFi/examples/WifiWebServer/WifiWebServer.ino
+arduino/libraries/WiFi/keywords.txt
+arduino/libraries/WiFi/utility/debug.h
+arduino/libraries/WiFi/utility/server_drv.cpp
+arduino/libraries/WiFi/utility/server_drv.h
+arduino/libraries/WiFi/utility/socket.c
+arduino/libraries/WiFi/utility/socket.h
+arduino/libraries/WiFi/utility/spi_drv.cpp
+arduino/libraries/WiFi/utility/spi_drv.h
+arduino/libraries/WiFi/utility/wifi_drv.cpp
+arduino/libraries/WiFi/utility/wifi_drv.h
+arduino/libraries/WiFi/utility/wifi_spi.h
+arduino/libraries/WiFi/utility/wl_definitions.h
+arduino/libraries/WiFi/utility/wl_types.h
+@dirrm arduino/libraries/WiFi/utility
 %%EXAMPLES%%arduino/libraries/EEPROM/examples/eeprom_clear/eeprom_clear.ino
 %%EXAMPLES%%arduino/libraries/EEPROM/examples/eeprom_read/eeprom_read.ino
 %%EXAMPLES%%arduino/libraries/EEPROM/examples/eeprom_write/eeprom_write.ino
@@ -232,8 +584,6 @@ arduino/libraries/Ethernet/EthernetUdp.c
 arduino/libraries/Ethernet/EthernetUdp.h
 %%EXAMPLES%%arduino/libraries/Ethernet/examples/BarometricPressureWebServer/BarometricPressureWebServer.ino
 %%EXAMPLES%%arduino/libraries/Ethernet/examples/ChatServer/ChatServer.ino
-%%EXAMPLES%%arduino/libraries/Ethernet/examples/CosmClient/CosmClient.ino
-%%EXAMPLES%%arduino/libraries/Ethernet/examples/CosmClientString/CosmClientString.ino
 %%EXAMPLES%%arduino/libraries/Ethernet/examples/DhcpAddressPrinter/DhcpAddressPrinter.ino
 %%EXAMPLES%%arduino/libraries/Ethernet/examples/DhcpChatServer/DhcpChatServer.ino
 %%EXAMPLES%%arduino/libraries/Ethernet/examples/DnsWebClient/DnsWebClient.ino
@@ -587,9 +937,42 @@ arduino/logo.png
 %%REFDOCS%%arduino/reference/StepperStep.html
 %%REFDOCS%%arduino/reference/StepperUnipolarCircuit.html
 %%REFDOCS%%arduino/reference/Stream.html
+%%REFDOCS%%arduino/reference/StreamAvailable.html
+%%REFDOCS%%arduino/reference/StreamFind.html
+%%REFDOCS%%arduino/reference/StreamFindUntil.html
+%%REFDOCS%%arduino/reference/StreamFlush.html
+%%REFDOCS%%arduino/reference/StreamParseFloat.html
+%%REFDOCS%%arduino/reference/StreamParseInt.html
+%%REFDOCS%%arduino/reference/StreamPeek.html
+%%REFDOCS%%arduino/reference/StreamRead.html
+%%REFDOCS%%arduino/reference/StreamReadBytes.html
+%%REFDOCS%%arduino/reference/StreamReadBytesUntil.html
+%%REFDOCS%%arduino/reference/StreamSetTimeout.html
 %%REFDOCS%%arduino/reference/String.html
+%%REFDOCS%%arduino/reference/StringBrackets.html
+%%REFDOCS%%arduino/reference/StringCharAt.html
 %%REFDOCS%%arduino/reference/StringClass.html
+%%REFDOCS%%arduino/reference/StringCompareTo.html
+%%REFDOCS%%arduino/reference/StringComparison.html
+%%REFDOCS%%arduino/reference/StringConcat.html
+%%REFDOCS%%arduino/reference/StringConstructor.html
+%%REFDOCS%%arduino/reference/StringEndsWith.html
+%%REFDOCS%%arduino/reference/StringEquals.html
+%%REFDOCS%%arduino/reference/StringEqualsIgnoreCase.html
+%%REFDOCS%%arduino/reference/StringGetBytes.html
+%%REFDOCS%%arduino/reference/StringIndexOf.html
+%%REFDOCS%%arduino/reference/StringLastIndexOf.html
+%%REFDOCS%%arduino/reference/StringLength.html
 %%REFDOCS%%arduino/reference/StringObject.html
+%%REFDOCS%%arduino/reference/StringPlus.html
+%%REFDOCS%%arduino/reference/StringReplace.html
+%%REFDOCS%%arduino/reference/StringSetCharAt.html
+%%REFDOCS%%arduino/reference/StringStartsWith.html
+%%REFDOCS%%arduino/reference/StringSubstring.html
+%%REFDOCS%%arduino/reference/StringToCharArray.html
+%%REFDOCS%%arduino/reference/StringToLowerCase.html
+%%REFDOCS%%arduino/reference/StringToUpperCase.html
+%%REFDOCS%%arduino/reference/StringTrim.html
 %%REFDOCS%%arduino/reference/SwitchCase.html
 %%REFDOCS%%arduino/reference/Tan.html
 %%REFDOCS%%arduino/reference/Tone.html
@@ -616,6 +999,7 @@ arduino/logo.png
 %%REFDOCS%%arduino/reference/arduinoWideRender.css
 %%REFDOCS%%arduino/reference/environment.html
 %%REFDOCS%%arduino/reference/index.html
+%%REFDOCS%%@dirrm arduino/reference
 arduino/revisions.txt
 arduino/tools/Mangler/make.sh
 arduino/tools/Mangler/src/Mangler.java

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Pawel Pekala freebsd_committer 2013-01-02 21:57:32 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!